Creates an ephemeral agent and executes it immediately. By default this uses the lightweight synchronous linc runtime on Vercel Sandbox. Set agentRuntime: true to opt into the legacy Daytona-backed agent runtime.
curl --request POST \
--url https://api.case.dev/agent/v2/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"instructions": "<string>",
"model": "<string>",
"agentRuntime": true,
"vaultIds": [
"<string>"
],
"objectIds": [
"<string>"
],
"guidance": "<string>",
"enabledTools": [
"<string>"
],
"disabledTools": [
"<string>"
],
"sandbox": {
"cpu": 123,
"memoryMiB": 123
}
}
'{
"runId": "<string>",
"agentId": "<string>",
"status": "running",
"provider": "daytona",
"runtimeId": "<string>",
"runtimeState": "running",
"output": "<string>",
"error": "<string>",
"logs": {
"runner": "<string>",
"linc": "<string>"
},
"usage": {},
"message": "<string>"
}API key starting with sk_case_
Set to true to opt into the legacy Daytona-backed agent runtime.
Show child attributes
Run completed or started
running, completed, failed daytona, vercel running, ended, error Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.case.dev/agent/v2/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"instructions": "<string>",
"model": "<string>",
"agentRuntime": true,
"vaultIds": [
"<string>"
],
"objectIds": [
"<string>"
],
"guidance": "<string>",
"enabledTools": [
"<string>"
],
"disabledTools": [
"<string>"
],
"sandbox": {
"cpu": 123,
"memoryMiB": 123
}
}
'{
"runId": "<string>",
"agentId": "<string>",
"status": "running",
"provider": "daytona",
"runtimeId": "<string>",
"runtimeState": "running",
"output": "<string>",
"error": "<string>",
"logs": {
"runner": "<string>",
"linc": "<string>"
},
"usage": {},
"message": "<string>"
}